@import 'vars';

.lowerContainer {
  display: flex;
  flex-direction: column;
  width: 300px;
  height: auto;
  background: linear-gradient(114.49deg, #4b3764 0%, rgba(163, 91, 255, 0) 100%);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  border-radius: 21px;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  @media (min-width: 768px) {
    width: 429px;
    padding: 0 51px 26px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}

.main {
  padding-top: 78px;
  @media (min-width: 758px) {
    padding-top: unset;
  }
}

.container {
  position: relative;
  display: grid;
  grid-template-columns: $main-grid-columns;
  margin-bottom: 90px;

  @include below(758px) {
    display: block;
  }
}

.contentWrapper {
  position: relative;
  margin: auto;
  width: 835px;
  max-width: 60vw;

  @include below(758px) {
    width: 100%;
    max-width: none;
  }
}

.main {
  grid-column: main;
}

.fdaoLogo {
  display: block;
  margin: auto;
  width: 203px;
  height: auto;

  @media (min-width: 758px) {
    max-width: 100%;
    width: auto;
  }
}

.description {
  text-align: center;
  font-size: 20px;
  line-height: 33px;
  margin: 26px auto auto;
  font-weight: 500;

  @include below(758px) {
    font-size: 15px;
    line-height: 18px;
    width: auto;
    margin-bottom: 5px;
    margin-top: 25px;
  }
}

.proseDescription {
  background-color: $c-gold;
  border-radius: 37px;
  text-align: center;
  font-family: $font-montserrat-alt;
  font-size: 20px;
  color: $c-black;
  border: 13px solid $c-flush-orange;
  width: 773px;
  max-width: 100%;
  margin: auto;
  padding: 24px 9px;
  line-height: 30px;

  .proseParagraph {
    display: block;

    &:last-child {
      margin-top: 40px;
    }
  }

  @include below(758px) {
    font-size: 16px;
    line-height: 24px;
    padding: 30px 23px;

    .proseParagraph {
      margin-bottom: 15px;

      &:last-child {
        margin-top: 40px;
      }
    }
  }
}

.video {
  display: block;
  width: 830px;
  max-width: 100%;
  // margin-top: 62px;
  margin: auto auto 112px;

  @include below(758px) {
    margin-top: 0;
    margin-bottom: 15px;
  }
}

.svgTextContainer {
  @include below(758px) {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
  }
}

.svgText {
  position: absolute;

  &.textColoursMax {
    top: 511px;
    left: -230px;

    @include below(758px) {
      display: none;
    }
  }

  &.textManyStyle {
    top: 1050px;
    right: -190px;

    @include below(758px) {
      width: 110px;
      position: relative;
      top: unset;
      right: unset;
    }
  }

  &.textMuchRarity {
    top: 1351px;
    left: -210px;

    @include below(758px) {
      object-fit: contain;
      width: 157px;
      position: relative;
      top: unset;
      left: unset;
    }
  }

  &.textPlay {
    top: 50px;
    right: -130px;

    @include below(758px) {
      width: 65px;
      right: unset;
      left: 50%;
      top: 0;
      transform: translateX(150%);
    }
  }

  &.textSuperValue {
    top: 611px;
    right: -220px;

    @include below(758px) {
      display: none;
    }
  }

  &.textVeryWow {
    top: 131px;
    left: -150px;

    @include below(1089px) {
      left: -250px;
    }

    @include below(758px) {
      width: 95px;
      left: 50%;
      top: 0;
      transform: translateX(-160%);
    }
  }
}

.upperContainer {
  position: relative;
  width: 350px;
  height: 350px;

  @media (min-width: 768px) {
    margin: 51px 0 42px;
    width: 481px;
    height: 481px;
  }
}

.middleContainer {
  display: flex;
  height: auto;

  p {
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
    letter-spacing: 0;
    text-align: center;

    a {
      color: #fff;
    }

    @include below(758px) {
      font-size: 15px;
      line-height: 18px;
      width: auto;
      margin-top: 25px;
      margin-bottom: 25px;
    }
  }

  @media (min-width: 768px) {
    width: 100%;
    height: auto;
    margin-bottom: 25px;
  }
}

.details {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 25px 56px 78px 58px;

  .templateImage {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-width: 100%;
    object-fit: contain;
    z-index: 1;
  }

  .video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 6;
    pointer-events: none;
    user-select: none;
    transition: opacity 8s ease-out;
  }

  .tokenVideo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 7;
    pointer-events: none;
    user-select: none;
  }

  .button {
    font-family: Montserrat;
    height: 42px;
    top: 1113px;
    border-radius: 21px;

    letter-spacing: 2%;
    color: white;
    border: none;
    cursor: pointer;
    text-decoration: none;
    display: inline;
    margin: 0 0 10px 0;
    background-color: #00b218;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    text-transform: uppercase;
    width: 224px !important;

    height: 41.81px;
    padding: 0 17px;
    // margin-bottom: 64px;
    span {
      color: #000000;
      visibility: hidden;
      display: flex;
      flex-direction: column;
      position: relative;
      transform: translate(0, -25%);
      font-family: Montserrat;
      font-size: 20px;
      font-weight: 700;
      line-height: 24px;
      letter-spacing: 0.11em;
      text-align: center;

      &::after {
        visibility: visible;
        content: 'MINT NOW';
      }
    }

    &:disabled {
      background: #00f220 !important;
      cursor: not-allowed;
    }
    @media (min-width: 768px) {
    width: 493px !important;
      height: 65px;
    }
  }

  @media (min-width: 768px) {
    width: 65%;
    padding: 0 0 3% 0;

    .button {
      width: 480px;
      height: 65px;
    }
  }
}

.lowerContainer {
  margin-top: 107px;
  display: flex;
  flex-direction: column;
  width: 300px;
  height: auto;

  background: #000000;
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  position: inherit;
  z-index: 1;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  @media (min-width: 768px) {
    width: 632px;
    padding: 44px 76px 26px;
  }
  background: linear-gradient(134.87deg, #3083ff 2.41%, #8536ff 82.72%);
  border-radius: 15px;

  @media (min-width: 768px) {
    width: 650px;
  }

  .relativeWrapper {
    position: relative;
    margin-top: 30px;
    height: auto;
    width: 224px;
    font-family: Montserrat;
    font-weight: 500;
    line-height: 26px;
    font-size: 15px;
    letter-spacing: 0.02em;
    text-align: left;
    
    &::before {
      font-family: Montserrat;
      color: #ffffff;
      visibility: visible;
      position: relative;
      bottom: 20px;
      content: 'Enter a number or click the arrows';
    }
    
    @media (min-width: 768px) {
      font-size: 21px;
      margin-top: 47px;
      width: 100%;
    }
  }

  .buttonWrapper {
    position: relative;
    display: flex;
    //margin-top: 30px;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
    @media (min-width: 768px) {
      margin-bottom: 61px;
      margin-top: 28px;
    }
  }

  .inputData {
    background-color: #fff;
    box-sizing: border-box;
    width: 224px;
    height: 42px;
    border-radius: 21px;
    border: 0;
    font-family: Montserrat, sans-serif;
    font-style: normal;
    font-weight: 600;
    line-height: 22px;
    font-size: 12px;
    letter-spacing: 0.02em;
    padding-left: 11px;
    color: #052152;
    text-shadow: 0px 2px 50px #fff;
    > button > img {
      top: 20px;
    }
    &:disabled {
      cursor: wait;
    }

    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      color: rgba(2, 12, 30, 0.5);
    }

    @media (min-width: 768px) {
      font-size: 18px;
      width: 493px;
      height: 65px;
      padding: 0 0 0 28px;
    }
  }

  .connect {
    button {
      font-family: Montserrat, sans-serif;
      font-weight: 600;
      font-size: 14px;
      letter-spacing: 2%;
      white-space: nowrap;
      color: white;
      border: 0;
      text-transform: uppercase;
      background: linear-gradient(0deg, #3083ff, #3083ff), linear-gradient(0deg, #ffffff, #ffffff);
      //#ff0066
      border: 1px solid #ffffff;
      box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
      border-radius: 21px;
      width: 224px;
      height: 41.81px;
      margin-bottom: 18px;

      @media (min-width: 768px) {
        width: 493px;
        height: 65px;
        font-size: 18px;
        line-height: 21.94px;
      }
    }
  }

  .slider {
    background-color: transparent;
    width: 224px !important;

    @media (min-width: 768px) {
      width: 480px !important;
    }

    :global(.rc-slider-mark-text) {
      width: 100%;

      &:first-child {
        text-align: left;
        transform: none !important;
      }

      &:last-child {
        text-align: right;
        transform: translateX(-100%) !important;
      }
    }

    .sliderInfo {
      margin: 0;
      font-family: Montserrat, sans-serif;
      font-weight: 500;
      font-size: 12px;
      font-style: italic;
      padding: 0;
      color: rgba(255, 255, 255, 0.5);

      @media (min-width: 768px) {
        font-size: 15px;
      }
    }
  }

  .status {
    position: absolute;
    font-family: Montserrat, sans-serif;
    font-style: normal;
    top: -32px;
    font-weight: 800;
    font-size: 10px;
    line-height: 12px;
    text-align: center;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: #00b318;

    @media (min-width: 768px) {
      font-size: 12px;
      line-height: 15px;
    }
  }

  .percentage {
    font-family: Montserrat, sans-serif;
    color: #fff;
    margin-top: 8px;
    font-weight: 600;
    font-size: 12px;
    line-height: 14.63px;
    letter-spacing: 0.02em;

    @media (min-width: 768px) {
      font-size: 15px;
    }
  }

  .eligibilityError {
    font-size: 12px;
    font-weight: 700;
    font-family: Montserrat, sans-serif;
    color: black;

    @media (min-width: 768px) {
      font-size: 15px;
      line-height: 15px;
    }
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}
.successTitle {
  margin: 0;
  font-family: Montserrat;
  font-weight: 700;
  line-height: 39px;
  letter-spacing: 0.02em;
  text-align: center;
  color: #ffffff;
  font-size: 25px;
  margin-top: 20px;
  @media (min-width: 768px) {
    margin-top: 0;
    font-size: 32px;
  }

}
.successDescription {
  margin-top: 25px;
  margin-bottom: 10px;
  font-family: Montserrat;
  font-weight: 400;
  line-height: 28px;
  letter-spacing: 0.02em;
  text-align: center;
  color: #ffffff;
  font-size: 16px;
  @media (min-width: 768px) {
    font-size: 23px;
  }
}
.actionButton {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  width: 100%;
  height: 65px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #00f220;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  border-radius: 15px;

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
    width: 493.67px;
  }
}
.walletInput {
  margin-top: 13px;
  span{
font-family: 'Montserrat';
font-style: normal;
font-weight: 500;
line-height: 26px;
letter-spacing: 0.02em;
color: #FFFFFF;
font-size: 15px;
@media (min-width: 768px) {
  font-size: 21px;
}
  }

  div {
    position: relative;
    img {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 100px;
      height: 100px;
    }
  }

  input[type='text'] {
    margin-top: 10px;
    background-color: $c-white;
    box-sizing: border-box;
    width: 224px;
    height: 45px;
    border-radius: 21px;
    border: 0;
    font-weight: 600;
    font-family: Montserrat;
    font-style: normal;
    line-height: 22px;
    letter-spacing: 0.02em;
    padding-left: 11px;
    color: #052152;
    text-shadow: 0px 2px 50px #ffffff;
    font-size: 10px;
    margin-bottom: 5px;

    &:disabled {
      color: #585a5e;
      cursor: not-allowed;
      background-color: $c-alto;

      &::placeholder {
        color: #c0bebe;
      }
    }
    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      color: rgba(2, 12, 30, 0.5);
    }

    @media (min-width: 768px) {
      font-size: 18px;
      height: 65px;
      width: 493px;
      padding: 0px 0 0px 10px;
      &::placeholder {
        padding-left: 18px;
      }
    }
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 64px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 43px;
    right: 45px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
